FactoryPortType
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.stubs
Interface FactoryPortType

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  FactoryPortTypeSOAPBindingStub

    public interface FactoryPortType

extends java.rmi.Remote

Method Summary
`org.apache.axis.message.addressing.EndpointReferenceType` | `createMaster(FactoryParams request)` Returns the endpoint of a Master WS-Resource for one or more target collections.
`org.gcube.common.core.types.VOID` | `deployPlugin(Plugin parameters)` Deploys a plugin that conforms to the plugin requirements of the service.
`org.gcube.common.core.types.VOID` | `deployPluginRS(java.lang.String parameters)` Uses the ResultSetService to deploys a plugin that conforms to the plugin requirements of the service.

Method Detail

### createMaster

    org.apache.axis.message.addressing.EndpointReferenceType createMaster(FactoryParams request)
                                                                          throws java.rmi.RemoteException,
                                                                                 org.gcube.common.core.faults.GCUBEFault

  Returns the endpoint of a Master WS-Resource for one or more target collections.

  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### deployPlugin

    org.gcube.common.core.types.VOID deployPlugin(Plugin parameters)
                                                  throws java.rmi.RemoteException,
                                                         org.gcube.common.core.faults.GCUBEFault

  Deploys a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an

  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

### deployPluginRS

    org.gcube.common.core.types.VOID deployPluginRS(java.lang.String parameters)
                                                    throws java.rmi.RemoteException,
                                                           org.gcube.common.core.faults.GCUBEFault

  Uses the ResultSetService to deploys a plugin that conforms to the plugin requirements of the service. In particular, the plugin must be packaged in JAR whose manifest file includes an

  Throws:
    `java.rmi.RemoteException`
    `org.gcube.common.core.faults.GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD